.jssocial-linkedin {
    .linkedin,
    .linkedin-zoom {
        font: 14px / 18px system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Helvetica", "Arial", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    }

    .linkedin-zoom .social-hashtag {
        color: rgb(25, 123, 255);
    }

    .linkedin-wrapper {

        .linkedin a {
            text-decoration: none;
        }

        .linkedin .social-hashtag {
            color: rgb(25, 123, 255);
        }

        .swiper-slide {

        }

        .linkedin-card-wrap {
            width: 100%;

            min-height: unset;
        }

        .linkedin-card {
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: column;
            position: relative;
            outline: none;
            border-radius: 8px;
            cursor: pointer;
            background: #f8f8f8;
            box-shadow: none;
            user-select: none;
            overflow: hidden;
        }

        .linkedin-card-nested {
            display: block;
            width: 100%;
            font-size: 13px;
            line-height: 1.23;
            overflow: hidden;
            transition: background 0.2s;
            color: rgb(17, 17, 17);
            border-radius: 4px;
            background: rgba(17, 17, 17, 0.05);
            border: 1px solid rgba(17, 17, 17, 0.1);
        }

        .linkedin-feed .linkedin-card-nested {
            /*max-height: 160px;*/
            aspect-ratio: 4/3;
        }

        .linkedin-feed .linkedin-card-nested .linkedin-media > img {
            max-height: 80px;
        }


        .linkedin-card-nested .linkedin-header {
            padding: 0.4rem;
        }

        .linkedin-card-nested .linkedin-post-text {
            padding: 0 0.4rem 0.4rem 0.4rem;
        }

        .linkedin-actor-name {
            font-weight: bold;
            -moz-box-flex: 0;
            flex-grow: 0;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
        }

        .linkedin-avatar {
            width: 32px;
            height: 32px;
            position: relative;
            box-shadow: rgba(17, 17, 17, 0.1) 0px 0px 2px inset;
            border-radius: 50%;
            overflow: hidden;
        }

        .linkedin-card-nested .linkedin-avatar {
            width: 24px;
            height: 24px;
        }

        .linkedin-post-text {
            font-size: 14px;
            line-height: 20px;
            color: rgb(17, 17, 17);
            text-align: left;
            padding: 0 1rem 1rem 1rem;
            flex-grow: 1;
        }

        .linkedin-post-text-text-cut {
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 3;
            overflow: hidden;
            text-overflow: ellipsis;
            word-wrap: break-word;
        }

        .linkedin-card-nested:not(.linkedin-card-nested-has-media) .linkedin-post-text-text-cut {
            -webkit-line-clamp: 5;
        }

        .linkedin-card-nested.linkedin-card-nested-has-media .linkedin-post-text-text-cut {
            -webkit-line-clamp: 2;
        }

        .linkedin-post-text:not(.linkedin-post-text-cut) .linkedin-post-text-text-cut {
            display: none;
        }

        .linkedin-post-text.linkedin-post-text-cut .linkedin-post-text-text-uncut {
            display: none;
        }

        .linkedin-post-text:not(.linkedin-post-text-cut) .linkedin-more {
            display: none;
        }

        .linkedin-post-text.linkedin-post-text-cut .linkedin-less {
            display: none;
        }

        .linkedin-less:hover,
        .linkedin-more:hover {
            text-decoration: underline;
        }

        .linkedin-less,
        .linkedin-more {
            margin-top: 0.4rem;
            color: #384047;
            cursor: pointer;
        }

        .linkedin-media {
            line-height: 0;
            position: relative;;
            overflow: hidden;
        }

        .linkedin-media > img {
            width: 100%;
            /*height: 160px;*/
            aspect-ratio: 1/1;
            object-fit: cover
        }


        .linkedin-swiper-with-controls {
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 1rem;
        }

        .linkedin-arrow-prev.swiper-button-disabled,
        .linkedin-arrow-next.swiper-button-disabled {
            opacity: 0.2;
        }

        .linkedin-arrow-prev,
        .linkedin-arrow-next {
            flex: 1 1 0;
            opacity: 1;
            min-width: 50px;
            max-width: 50px;
            cursor: pointer;
            filter: invert(22%) sepia(20%) saturate(399%) hue-rotate(166deg) brightness(90%) contrast(86%);
            transition: opacity 0.4s linear;
        }

        .linkedin-arrow-next {
            transform: scaleX(-1);
        }

        .linkedin-arrow-next {
            transform: scaleX(-1);
        }

        .social.linkedin .slider-stage.swiper-wrapper {
            width: initial;
            flex: 1 1 0;
            min-width: 0;
        }

        .linkedin-pagination {
            --swiper-pagination-color: #384047;
            --swiper-pagination-bullet-inactive-color: #384047;
            position: static;
            opacity: 1;
            /*margin-top: 2rem;*/
        }

        .linkedin-follow-button {
            padding: 6px 8px;
            background-color: rgba(0, 0, 0, 0);
            border-radius: 100px;
            border: 1px solid rgb(25, 123, 255);
            line-height: 1.09;
            color: rgb(25, 123, 255);
            font-family: inherit;
            font-weight: bold;
            font-size: 11px;
        }

        .linkedin-feed .slider.swiper .swiper-pagination-bullets.swiper-pagination-horizontal {
            margin-top: 1rem;
            bottom: unset;
            top: unset;
            transform: unset;
        }

        .linkedin.slider.swiper {
            padding: 0;
        }
    }


    /* ZOOM */

    .social-zoom .social-zoom-items-linkedin {
        display: flex;
        background-color: #BFC3C6;
        gap: 12px;
    }

    .social-zoom-items-linkedin .social-item.linkedin-item {
        background-color: #fff;
    }

    .social-zoom-items-linkedin .linkedin-social {
        padding: 0 16px 16px 16px;
    }

    .zoom-linkedin-item-text {
        font-size: 16px;
        line-height: 23px;
        color: rgb(17, 17, 17);
        text-align: left;
        white-space: pre-wrap;
    }

    .zoom-linkedin-content {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }


    .linkedin-social-share {
        gap: 0.4rem;
        font-size: 13px;
        display: flex;
        border: medium;
        outline: none;
        background: none;
        cursor: pointer;
        flex-direction: row;
        -moz-box-align: center;
        align-items: center;
        position: relative;
        color: #384047;
    }

    .linkedin-social-share:before {
        content: '';
        z-index: 0;
        position: absolute;
        top: -1rem;
        left: -1rem;
        right: -1rem;
        bottom: -1rem;
    }

    .linkedin-dropdown.linkedin-dropdown-active {
        display: flex;
    }

    .linkedin-dropdown {
        display: none;
        position: fixed;

        left: 0;
        z-index: 9999999;
        flex-direction: column;
        min-width: 60px;
        max-width: 500px;
        padding: 8px;
        border-radius: 4px;
        text-align: left;
        box-shadow: rgba(0, 0, 0, 0.3) 0px 4px 12px 0px;
        line-height: 1.32;
        width: 210px;
        background: rgb(255, 255, 255);
        color: rgb(17, 17, 17);
        font-size: 14px;
        font-weight: normal;
    }

    .linkedin-dropdown-separator {
        opacity: 0.1;
        text-align: left;
        line-height: 1.32;
        color: rgb(17, 17, 17);
        font-size: 14px;
        font-weight: normal;
        padding: 0.3rem;
    }

    .linkedin-dropdown-separator:after {
        content: "";
        display: block;
        border-top-width: 1px;
        border-top-style: solid;
        text-align: left;
        line-height: 1.32;
        color: rgb(17, 17, 17);
        font-size: 14px;
        font-weight: normal;
    }

    .linkedin-dropdown-item {
        display: flex;
        padding: 0.3rem;
        cursor: pointer;
    }

    .linkedin-dropdown-item:hover {
        background-color: #BFC3C6;
    }

    .linkedin-dropdown-item-text {
        flex: 1;
    }

    .linkedin-dropdown-icon {
        width: 20px;
        height: 20px;
    }


    .linkedin-media-icon {
        display: block;
        object-fit: contain;
        width: 16px;
        height: 16px;
        fill: rgb(255, 255, 255);
        position: absolute;
        right: 0.4rem;
        top: 0.4rem;
    }

    .linkedin-video-icon svg {
        filter: drop-shadow(rgba(0, 0, 0, 0.3) 0px 0px 1px);
    }

    .linkedin-icon {
        width: 24px;
        height: 24px;
    }

    .linkedin-icon-xs {
        width: 16px;
        height: 16px;
        fill: #384047;
    }

    .linkedin-social {
        display: flex;
        width: 100%;
        gap: 16px;
        -moz-box-pack: justify;
        justify-content: space-between;
        align-items: center;
        padding: 16px;
        font-size: 13px;
        color: #384047;
    }

    .linkedin-liked {
        gap: 0.4rem;
        display: flex;
        align-items: center;
    }


    .linkedin-brand {
        margin-left: auto;
        line-height: 0;
    }

    .linkedin-brand svg {
        width: 24px;
        height: 24px;
    }

    .linkedin-liked,
    .linkedin-postedat {
        color: #384047;
    }

    .linkedin-liked:hover {
        text-decoration: none !important;
    }

    .linkedin-header {
        display: flex;
        padding: 1rem;
        gap: 0.4rem;
        font-size: 13px;
        align-items: center;
    }
}